/* eslint-disable no-empty */
/* eslint-disable no-implicit-coercion */
import App from "./App";
import uView from 'uview-ui'
Vue.use(uView)
// 如此配置即可
uni.$u.config.unit = 'rpx'

import moment from 'moment'
Vue.prototype.$moment = moment;

Vue.prototype.getStaticFilePath = function (url) {
  return Vue.prototype.staticDir + url;
};


import api from '@/api/index.js'
Vue.prototype.api = api;


// #ifndef VUE3
import Vue from "vue";
import VueCompositionAPI from "@vue/composition-api";
Vue.use(VueCompositionAPI);
import unifyPromiseVue2 from "./TUIKit/utils/unifyPromiseVue2";
Vue.config.productionTip = false;
App.mpType = "app";
unifyPromiseVue2();
const app = new Vue({
  ...App,
});
app.$mount();
// #endif

// #ifdef VUE3
import { createSSRApp } from "vue";
export function createApp() {
  const app = createSSRApp(App);
  return {
    app,
  };
}
// #endif
